###############################################################################
# Paul Gampe - <pgampe@redhat.com>
# TODO: Localize language names when rpm supports utf-8 spec files
###############################################################################
%define lang_code fr
%define lang_name French

Copyright: distributable
Source: rhel-isa-%{lang_code}-%{version}.tbz
Release: 3
Name: rhel-isa-%{lang_code}
Group: Documentation
URL: http://www.redhat.com/docs/
Version: 3
Summary: Red Hat Enterprise Linux %{version} Introduction to System Administration (%{lang_code})
BuildArchitectures: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: htmlview

%description 
The %{lang_name} Red Hat Enterprise Linux %{version} Introduction to System
Administration provides an overview of Linux system administration for the new
system administrator. Topics discussed include resource utilization, storage
management, backup guidelines, and disaster recovery.

%prep
%define _builddir %(mkdir -p %{buildroot}%{_defaultdocdir} ; echo %{buildroot}%{_defaultdocdir})
%setup -q -c
for i in *
do
if [ -d $i ]; then
   cd $i
   mv -f * ../
   cd ..
   rmdir $i
fi
done

%build
 
%install

mkdir -p $RPM_BUILD_ROOT/usr/share/applications/

cat > $RPM_BUILD_ROOT/usr/share/applications/%{name}.desktop <<'EOF'
[Desktop Entry]
Name=Introduction to System Administration (%{lang_code})
Comment=Learn about system administration (%{lang_name})
Exec=htmlview file:%{_defaultdocdir}/%{name}-%{version}/index.html
Icon=/%{_defaultdocdir}/%{name}-%{version}/docs.png
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_datadir}/applications/%{name}.desktop
/%{_defaultdocdir}/%{name}-%{version}

%changelog
* Wed Mar 24 2004 Paul Gampe <pgampe@redhat.com>
- Further renaming changes

* Thu Mar 04 2004 Paul Gampe <pgampe@redhat.com>
- Renaming to x86-64

* Wed Sep 24 2003 Paul Gampe <pgampe@redhat.com>
- Initial Spec

